part of tags;

class Selections {
  
  static Selections _current = new Selections._([]);
  /// The current selections.
  static Selections get current => _current;
  
  static final _onSelectionChange = 
      new StreamController<Selections>.broadcast();
  /// An observable stream of changes to the [current] selections.
  static Stream<Selections> get onSelectionChange => _onSelectionChange.stream;

  static void select(Object o) {
    assert(o != null);
    // TODO: Add support for multiple selections.
    _current = new Selections._([o]);
    _onSelectionChange.add(_current);
  }
  
  /// The list of selected objects; may be an empty list if none.
  final UnmodifiableListView objects;
  
  Selections._(List objects) 
  : this.objects = new UnmodifiableListView(objects);
}
